Google Business · Google Business Location Details

Get location details

Fetches location details.

GEThttps://api.pozy.ai/v1/accounts/{accountId}/gmb-location-details
getGoogleBusinessLocationDetails

Guide: Location details

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring

Query parameters

NameTypeNotes
locationIdstring
readMaskstring

Example

curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-location-details" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • accountIdstring
  • locationIdstring
  • locationobject

    Can be null.

    • namestring

      Can be null.

    • placeIdstring

      Can be null.

    • reviewUrlstring

      Can be null.

    • mapsUristring

      Can be null.

    • isVerifiedboolean
  • titlestring
  • regularHoursobject
    • periodsarray of object
      4 child fields
      • openDaystring

        One of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

      • openTimestring
      • closeDaystring
      • closeTimestring
  • specialHoursobject
    • specialHourPeriodsarray of object
      5 child fields
      • startDateobject
        3 child fields
        • yearinteger
        • monthinteger
        • dayinteger
      • endDateobject
        3 child fields
        • yearinteger
        • monthinteger
        • dayinteger
      • openTimestring
      • closeTimestring
      • closedboolean
  • profileobject
    • descriptionstring
  • websiteUristring
  • phoneNumbersobject
    • primaryPhonestring
    • additionalPhonesarray of string
  • categoriesobject
    • primaryCategoryobject
      2 child fields
      • namestring
      • displayNamestring
    • additionalCategoriesarray of object
      2 child fields
      • namestring
      • displayNamestring
  • serviceItemsarray of object
    • structuredServiceItemobject
      2 child fields
      • serviceTypeIdstring
      • descriptionstring
    • freeFormServiceItemobject
      2 child fields
      • categorystring
      • labelobject
        2 child fields
        • displayNamestring
        • languageCodestring
    • priceobject
      3 child fields
      • currencyCodestring
      • unitsstring
      • nanosinteger
200 response
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "locationId": "6e99c3dd69982b334a43b0b2",
  "location": {
    "name": "Acme",
    "placeId": "6c20e662d7040845c9a89145",
    "reviewUrl": "https://pozy.ai/media/example-1.jpg",
    "mapsUri": "string",
    "isVerified": true
  },
  "title": "Launch day",
  "regularHours": {
    "periods": [
      {
        "openDay": "MONDAY",
        "openTime": "string",
        "closeDay": "string",
        "closeTime": "string"
      }
    ]
  },
  "specialHours": {
    "specialHourPeriods": [
      {
        "startDate": {
          "year": 1,
          "month": 1,
          "day": 1
        },
        "endDate": {
          "year": 1,
          "month": 1,
          "day": 1
        },
        "openTime": "string",
        "closeTime": "string",
        "closed": true
      }
    ]
  },
  "profile": {
    "description": "A short description"
  },
  "websiteUri": "string",
  "phoneNumbers": {
    "primaryPhone": "+14155550123",
    "additionalPhones": [
      "+14155550123"
    ]
  },
  "categories": {
    "primaryCategory": {
      "name": "Acme",
      "displayName": "Acme"
    },
    "additionalCategories": [
      {
        "name": "Acme",
        "displayName": "Acme"
      }
    ]
  },
  "serviceItems": [
    {
      "structuredServiceItem": {
        "serviceTypeId": "6d4297c0b29cd9542de9fe72",
        "description": "A short description"
      },
      "freeFormServiceItem": {
        "category": "string",
        "label": {
          "displayName": "Acme",
          "languageCode": "string"
        }
      },
      "price": {
        "currencyCode": "string",
        "units": "string",
        "nanos": 1
      }
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Google Business Location Details